Test fails with new json release (2.0) which fixes parse error
07/18/2016 07:18 PM - David Davis

Status: New
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/Katello/runcible/pull/18
0

Description

The test uses 'true' as the response body which is now valid json in the 2.0 version of the ruby json gem. It raised a parse error
before which was actually in correct.

Here's the test failure:

1) Error:
Base: :TestBaseftest_process_response_returns_string:
RuntimeError: can't modify frozen TrueClass
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-1.8.0/1ib/restclient/abstract_response.rb:
27:in "“response_set_vars'
/home/vagrant/.rvm/gems/ruby-2.2.4/gems/rest-client-1.8.0/1lib/restclient/response.rb:16:in "cr
eate'
/home/vagrant /Projects/runcible/lib/runcible/base.rb:147:in ‘rest_client_response'
/home/vagrant /Projects/runcible/lib/runcible/base.rb:135:in ‘process_response'
test/unit/base_test.rb:38:in "test_process_response_returns_string'

History

#1 - 07/18/2016 07:25 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to David Davis

- Pull request https://github.com/Katello/runcible/pull/180 added

#2 - 10/18/2017 07:00 PM - David Davis
- Status changed from Ready For Testing to New
- Assignee deleted (David Davis)
